import * as beet from '@miraplex/beet';
import * as web3 from '@solarti/web3.js';
import { CandyMachineData } from '../types/CandyMachineData';
export type InitializeInstructionArgs = {
    data: CandyMachineData;
};
export declare const initializeStruct: beet.FixableBeetArgsStruct<InitializeInstructionArgs & {
    instructionDiscriminator: number[];
}>;
export type InitializeInstructionAccounts = {
    candyMachine: web3.PublicKey;
    authorityPda: web3.PublicKey;
    authority: web3.PublicKey;
    payer: web3.PublicKey;
    collectionMetadata: web3.PublicKey;
    collectionMint: web3.PublicKey;
    collectionMasterEdition: web3.PublicKey;
    collectionUpdateAuthority: web3.PublicKey;
    collectionAuthorityRecord: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const initializeInstructionDiscriminator: number[];
export declare function createInitializeInstruction(accounts: InitializeInstructionAccounts, args: InitializeInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
